%define upstream_name    Bit-Vector
%define upstream_version 7.3

%define TEST 1
%{?_with_test: %{expand: %%global TEST 1}}
%{?_without_test: %{expand: %%global TEST 0}}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Bit/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan) >= 5.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable) >= 2.210.0
BuildRequires: perl-devel
%description
%{upstream_name} module for perl.
Bit::Vector is an efficient C library which allows you to handle
bit vectors, sets (of integers), "big integer arithmetic" and
boolean matrices, all of arbitrary sizes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod -R u+w examples

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"

%check
%if %{TEST}
LANG=C %make test
%endif

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc META.yml MYMETA.yml examples
%{_mandir}/man3/Bit::Vector*
%dir %{perl_vendorarch}/Bit
%{perl_vendorarch}/Bit/Vector*
%dir %{perl_vendorarch}/auto/Bit
%{perl_vendorarch}/auto/Bit/Vector*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 7.300.0-2.mga4
+ Revision: 526476
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 jquelin <jquelin> 7.300.0-1.mga4
+ Revision: 437096
- update to 7.3

* Wed May 29 2013 shlomif <shlomif> 7.200.0-3.mga4
+ Revision: 431810
- Rebuild for new perl: patch to fix

* Sun Jan 13 2013 umeabot <umeabot> 7.200.0-2.mga3
+ Revision: 363369
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 7.200.0-1.mga3
+ Revision: 251649
- update to 7.2
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 7.100.0-5.mga2
+ Revision: 103590
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 7.100.0-4.mga1
+ Revision: 29829
- mageia rebuild
- imported package perl-Bit-Vector

